Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class CardholderAuthentication2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.CardholderAuthentication2

    public class CardholderAuthentication2
    extends java.lang.Object

Java class for CardholderAuthentication2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardholderAuthentication2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AuthntcnMtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AuthenticationMethod1Code"/>
             <element name="AuthntcnNtty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AuthenticationEntity1Code"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AuthenticationMethod1Code` `authntcnMtd`
`protected AuthenticationEntity1Code` `authntcnNtty`

### Constructor Summary

Constructors
`CardholderAuthentication2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthenticationMethod1Code` `getAuthntcnMtd()` Gets the value of the authntcnMtd property.
`AuthenticationEntity1Code` `getAuthntcnNtty()` Gets the value of the authntcnNtty property.
`void` `setAuthntcnMtd​(AuthenticationMethod1Code value)` Sets the value of the authntcnMtd property.
`void` `setAuthntcnNtty​(AuthenticationEntity1Code value)` Sets the value of the authntcnNtty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### authntcnMtd

    protected AuthenticationMethod1Code authntcnMtd

#### authntcnNtty

    protected AuthenticationEntity1Code authntcnNtty

### Constructor Detail

#### CardholderAuthentication2

    public CardholderAuthentication2()

### Method Detail

#### getAuthntcnMtd

    public AuthenticationMethod1Code getAuthntcnMtd()

Gets the value of the authntcnMtd property.

Returns:
  possible object is `AuthenticationMethod1Code`

#### setAuthntcnMtd

    public void setAuthntcnMtd​(AuthenticationMethod1Code value)

Sets the value of the authntcnMtd property.

Parameters:
  `value` - allowed object is `AuthenticationMethod1Code`

#### getAuthntcnNtty

    public AuthenticationEntity1Code getAuthntcnNtty()

Gets the value of the authntcnNtty property.

Returns:
  possible object is `AuthenticationEntity1Code`

#### setAuthntcnNtty

    public void setAuthntcnNtty​(AuthenticationEntity1Code value)

Sets the value of the authntcnNtty property.

Parameters:
  `value` - allowed object is `AuthenticationEntity1Code`